{
    "name": "@mlaopane/formhook",
    "description": "Handle forms in React by using hooks",
    "version": "1.4.1",
    "license": "MIT",
    "author": {
        "email": "mlaopane@gmail.com",
        "name": "Mickaël LAO-PANE"
    },
    "repository": "https://gitlab.com/mlaopane/formhook",
    "keywords": [
        "formhook",
        "form",
        "forms",
        "hook",
        "hooks",
        "react",
        "validation"
    ],
    "main": "dist/index.js",
    "module": "dist/index.es.js",
    "engines": {
        "node": ">=10",
        "npm": ">=6"
    },
    "scripts": {
        "build": "yarn build:types && yarn build:js",
        "build:js": "rollup -c",
        "build:types": "tsc --emitDeclarationOnly",
        "check:types": "tsc --noEmit",
        "check:types:watch": "yarn check:types --watch",
        "prepublishOnly": "yarn check:types && yarn build",
        "publish:new-version": "yarn publish --new-version $(node scripts/ci/log-package-version.js)",
        "test": "jest",
        "test:watch": "jest -w",
        "watch": "rollup -c -w"
    },
    "files": [
        "dist/**/*"
    ],
    "devDependencies": {
        "@babel/core": "^7.4.4",
        "@babel/plugin-transform-regenerator": "^7.4.5",
        "@babel/plugin-transform-runtime": "^7.4.4",
        "@babel/preset-env": "^7.4.5",
        "@babel/preset-react": "^7.0.0",
        "@babel/preset-typescript": "^7.3.3",
        "@babel/runtime": "^7.4.4",
        "@types/jest": "^24.0.15",
        "@types/node": "^12.0.3",
        "@types/react": "^16.8.19",
        "@types/react-dom": "^16.8.4",
        "enzyme": "^3.10.0",
        "enzyme-adapter-react-16": "^1.14.0",
        "eslint": "^5.16.0",
        "eslint-plugin-react": "^7.13.0",
        "eslint-plugin-react-hooks": "^1.6.0",
        "jest": "^24.8.0",
        "node-sass": "^4.12.0",
        "npm-run-all": "^4.1.5",
        "react": "^16.8.6",
        "react-dom": "^16.8.6",
        "rollup": "^1.13.0",
        "rollup-plugin-babel": "^4.3.2",
        "rollup-plugin-commonjs": "^10.0.0",
        "rollup-plugin-node-globals": "^1.4.0",
        "rollup-plugin-node-resolve": "^5.0.1",
        "rollup-plugin-peer-deps-external": "^2.2.0",
        "rollup-plugin-postcss": "^2.0.3",
        "rollup-plugin-scss": "^1.0.1",
        "rollup-plugin-serve": "^1.0.1",
        "ts-jest": "^24.0.2",
        "ts-node": "^8.2.0",
        "typescript": "^3.5.1"
    },
    "peerDependencies": {
        "react": ">=16.8"
    }
}
